Bug 108149 - dar 2.3.2 port install failure
Summary: dar 2.3.2 port install failure
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-20 13:20 UTC by Chris Calvey
Modified: 2007-03-14 20:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Calvey 2007-01-20 13:20:18 UTC
Port installation for the Disk Archiver "dar" fails.

The executable components of dar are installed with mode 555 and during the post installation phase the install script trys to use UPX to compress these executables. As the files are read-only, the UPX compression fails:-

/usr/bin/install -c -o root -g wheel -d /usr/local/libdata/pkgconfig
/usr/bin/install -c -o root -g wheel -m 0644 libdar.pc /usr/local/libdata/pkgconfig/libdar.pc
Making install in dar_suite
test -z "/usr/local/bin" || /bin/sh ../../mkinstalldirs "/usr/local/bin"
  /bin/sh /usr/local/bin/libtool --mode=install install  -s -o root -g wheel -m 555 'dar' '/usr/local/bin/dar'
install -o root -g wheel -m 555 -s dar /usr/local/bin/dar
  /bin/sh /usr/local/bin/libtool --mode=install install  -s -o root -g wheel -m 555 'dar_xform' '/usr/local/bin/dar_xform'
install -o root -g wheel -m 555 -s dar_xform /usr/local/bin/dar_xform
  /bin/sh /usr/local/bin/libtool --mode=install install  -s -o root -g wheel -m 555 'dar_slave' '/usr/local/bin/dar_slave'
install -o root -g wheel -m 555 -s dar_slave /usr/local/bin/dar_slave
  /bin/sh /usr/local/bin/libtool --mode=install install  -s -o root -g wheel -m 555 'dar_manager' '/usr/local/bin/dar_manager'
install -o root -g wheel -m 555 -s dar_manager /usr/local/bin/dar_manager
  /bin/sh /usr/local/bin/libtool --mode=install install  -s -o root -g wheel -m 555 'dar_cp' '/usr/local/bin/dar_cp'
install -o root -g wheel -m 555 -s dar_cp /usr/local/bin/dar_cp
make  install-exec-hook
cd //usr/local/bin ; upx -9 dar dar_xform dar_slave dar_manager dar_cp
                     Ultimate Packer for eXecutables
   Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004
UPX 1.25         Markus F.X.J. Oberhumer & Laszlo Molnar        Jun 29th 2004

        File size         Ratio      Format      Name
   --------------------   ------   -----------   -----------
upx: dar: IOException: file is write protected -- skipped
upx: dar_xform: IOException: file is write protected -- skipped
upx: dar_slave: IOException: file is write protected -- skipped
upx: dar_manager: IOException: file is write protected -- skipped
upx: dar_cp: IOException: file is write protected -- skipped

Packed 0 files.
*** Error code 1

Stop in /usr/ports/sysutils/dar/work/dar-2.3.2/src/dar_suite.
*** Error code 1

Stop in /usr/ports/sysutils/dar/work/dar-2.3.2/src/dar_suite.
*** Error code 1

Stop in /usr/ports/sysutils/dar/work/dar-2.3.2/src/dar_suite.
*** Error code 1

Stop in /usr/ports/sysutils/dar/work/dar-2.3.2/src.
*** Error code 1

Stop in /usr/ports/sysutils/dar/work/dar-2.3.2.
*** Error code 1

Stop in /usr/ports/sysutils/dar.
[dar]#

Fix: 

A quick and dirty patch, just to get it to install, should be made against
the file work/dar-2.3.2/src/dar_suite/Makefile using the patch:

167,168c167,168
< INSTALL_PROGRAM = install  -s -o root -g wheel -m 655
< INSTALL_SCRIPT = install  -o root -g wheel -m 655
---
> INSTALL_PROGRAM = install  -s -o root -g wheel -m 755
> INSTALL_SCRIPT = install  -o root -g wheel -m 755
How-To-Repeat: Note: The UPX compression program should be installed. I seem to remember that
      the installation will fail also if UPX is not installed, perhaps UPX should  
      be marked as a dependency also.

make
make install
Comment 1 Edwin Groothuis freebsd_committer 2007-01-20 21:29:24 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2007-03-14 07:40:54 UTC
State Changed
From-To: feedback->open

Maintainer was reset.
Comment 3 Pav Lucistnik freebsd_committer 2007-03-14 18:47:08 UTC
What's the point in packing these files, at all? Do we care about the
size that much, today, in the age of terabyte hard drives?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

On real UNIX, /usr/bin/more prints -More-.
Comment 4 Chris Calvey 2007-03-14 19:38:07 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160


Yes, I couldn't agree more. This stupid activity has going on with dar for 
some years now - Take it out!

Cheers

Chris

- ---

Chris Calvey - Computing security & digital forensics services

My PGP public key is available from the keyservers, key ID: C65A756C
PGP key fingerprint: 6AA5 47BF 55E7 D130 8723 43ED D848 5C1C C65A 756C

On Wed, 14 Mar 2007, Pav Lucistnik wrote:

> What's the point in packing these files, at all? Do we care about the
> size that much, today, in the age of terabyte hard drives?
>
> -- 
> Pav Lucistnik <pav@oook.cz>
>              <pav@FreeBSD.org>
>
> On real UNIX, /usr/bin/more prints -More-.
>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (FreeBSD)

iEwEAREDAAwFAkX4TyAFgwHhM4AACgkQ2EhcHMZadWx7GgCeMLVlBFY7wliEQpDP
zVoczLCI8m4An3OQDfTIlabpMeCOQvoy6/gH5D/x
=Qm9A
-----END PGP SIGNATURE-----
Comment 5 Pav Lucistnik freebsd_committer 2007-03-14 19:47:51 UTC
> Yes, I couldn't agree more. This stupid activity has going on with dar for 
> some years now - Take it out!

Can you try the following for me -
edit /usr/ports/sysutils/dar/Makefile, append this at the end of first
CONFIGURE_ARGS line:

 --disable-upx

and try re-installing it. Does it help?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

A two-eyed cyclops would be a bicyclops.
Comment 6 Pav Lucistnik freebsd_committer 2007-03-14 20:37:56 UTC
State Changed
From-To: open->closed

Fixed!
Comment 7 dfilter service freebsd_committer 2007-03-14 20:38:18 UTC
pav         2007-03-14 20:38:12 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/dar         Makefile 
  Log:
  - Disable UPX packing of installed files (helps people who got upx installed)
  
  PR:             ports/108149
  Reported by:    Chris Calvey <chris@securityforensics.yi.org>
  
  Revision  Changes    Path
  1.18      +1 -1      ports/sysutils/dar/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"